No Vulnurable IOS Found

Discussion in 'Wii - Hacking' started by DeOpty, Jul 21, 2017.

  1. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    Hi, i just recently updated my Wii to 4.3U by using Dop-mii to try to do a fresh start for my softmod wii.
    after that i tried to install Homebrew with bannerbomb, but i got an error "This installer cannot continue, There is no known vulnerable IOS installed on this Wii, etc..." after doing some research i found out that i have cIOS in my wii that i need to remove, but since i dont have the homebrew installed in my wii anymore i couldn't use any of the homebrew apps. can someone give me the best move to do?
     


  2. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,858
    736
    Mar 2, 2015
    United States
    DeOpty likes this.
  3. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
  4. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,858
    736
    Mar 2, 2015
    United States
    Sorry, I meant reinstall an unpatched IOS. :)

    If you're remodding the console anyway it might be easier to use the DOP-Mii system update feature. It should detect Priiloader and put it back after it's done.
     
    DeOpty likes this.
  5. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    when i was trying to reinstall with the new IOS it says, "need to use fakesigh (Trucha bug)" what should i do
     
  6. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,451
    4,769
    Mar 17, 2010
    Norway
    Alola
    You probably installed DARKCORP at some point. It's a bad idea to install that because it replaces every IOS with identical cIOSes, causing compatibility issues with some games and problems with HBL, and it's not even needed to play burned discs from the Wii menu as you can do that with Priiloader hacks.
    HBC prefers to use IOS58 as it has USB 2.0 support, so restore the unpatched version of that.
    I don't know anything about that message, I normally use MMM instead.
    But if it asks you to enable any patches, say no to everything.
    I don't think HBC will accept a trucha bugged IOS.
     
    Last edited by The Real Jdbye, Jul 21, 2017
  7. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    i installed the IOS58 and it still giving me the same error.now im trying to use the DARKCORP installer to uninstall the DARKCORP cIOS stuff after reading the main DARKCORP post. but it keeps giving me dsi exceptional error when im trying to boot DARKCORP installer from bannerbomb.
     
  8. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,451
    4,769
    Mar 17, 2010
    Norway
    Alola
    You must have installed a patched IOS58.
     
  9. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,858
    736
    Mar 2, 2015
    United States
    Uninstalling it likely just installs the original IOSes. DOP-Mii also does that. It shouldn't be complaining about the Trucha bug if you launched it by running the letterbomb exploit. The exploit gives the dol full permissions when it executes.

    Make sure you got the latest non-WiiBrew version. The WiiBrew one intentionally does not have some features so it cannot be used for piracy.
     
  10. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    I just realized i've been using the WiiBrew version the whole time.. i tried the non wii brew one, i clicked on IOS58 and i clicked no for all of the patches. but still i get the error... am i missing something?

    UPDATE : after tryin alot of things i decided to unpatch most of the IOS, here's the result of the syscheck
    sysCheck v2.1.0b19 by Double_A and R2-D2199, Nano
    ...runs on IOS80 (rev 6943)
    Region: NTSC-U
    System Menu 4.3U (v513)
    Could not detect the drive date!
    Homebrewkanal ist nicht installiert
    omebrewFilter ist nicht installiert

    Hollywood v0x11
    Console ID: 50306674
    Boot2 v0

    Found 57 titles.
    Found 36 IOS on this console. 3 of them are stub.

    IOS4 (rev 3): Stub
    IOS9 (rev 65535): Trucha Bug
    IOS11 (rev 65535): Trucha Bug
    IOS12 (rev 11): No Patches
    IOS13 (rev 15): No Patches
    IOS14 (rev 1032): No Patches
    IOS15 (rev 1032): No Patches
    IOS16 (rev 257): Trucha Bug, ES Identify, Flash Access, NAND Access
    IOS17 (rev 1032): No Patches
    IOS20 (rev 12): Trucha Bug, ES Identify, Flash Access, NAND Access
    IOS21 (rev 1039): No Patches
    IOS22 (rev 777): No Patches
    IOS28 (rev 1807): No Patches
    IOS30 (rev 2576): ES Identify, Flash Access
    IOS31 (rev 3088): No Patches
    IOS33 (rev 3608): No Patches
    IOS34 (rev 3087): No Patches
    IOS35 (rev 3608): No Patches
    IOS36 (rev 3608): No Patches
    IOS37 (rev 5663): No Patches
    IOS38 (rev 4124): No Patches
    IOS40 (rev 3072): Stub
    IOS41 (rev 3607): No Patches
    IOS43 (rev 3607): No Patches
    IOS45 (rev 3607): No Patches
    IOS46 (rev 3607): No Patches
    IOS50 (rev 4889): No Patches
    IOS52 (rev 5661): No Patches
    IOS53 (rev 5663): No Patches
    IOS55 (rev 5663): No Patches
    IOS56 (rev 5662): No Patches
    IOS58 (rev 6176): USB 2.0
    IOS60 (rev 6174): No Patches
    IOS61 (rev 5662): No Patches
    IOS70 (rev 6912): Stub
    IOS80 (rev 6943): No Patches
    BC v65535
    MIOS v10


    Report generated on 2017/07/21.

    at this current state im still unable to install homebrew using the bannerbomb.. any suggestions?
     
    Last edited by DeOpty, Jul 21, 2017
  11. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    bump
     
  12. GreyWolf

    GreyWolf GBAtemp Psycho!

    Member
    3,858
    736
    Mar 2, 2015
    United States
    Not sure if you mixed them up but you cannot use bannerbomb on 4.3. You need Letterbomb. (http://please.hackmii.com) Make sure you pick 4.3U
     
  13. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    i just tried the letterbomb, still no dice.. should i just install the older version of HBC?
     
  14. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    bump
     
  15. PokeAcer

    PokeAcer Banned

    Banned
    1,431
    1,056
    May 28, 2015
    United Kingdom
    Wales
    Just installing the older version wouldn't help you here.
    I wonder if Wii System Update will notice your IOS versions are wrong and fix them.

    Or, you could download the full 4.3 update using NUS Downloader, and install all the IOS WADs using smth like MMM or WiiMod Lite (But this can be dangerous)
     
  16. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    I just tried Wii system update, it says error code 32004..
    i'll just try the NUSDownloader later
     
    PokeAcer likes this.
  17. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    I just downloaded IOS58 and IOS80 and installed it using MMM. still the HBC isn't working... did i do it the right way?
     
  18. PokeAcer

    PokeAcer Banned

    Banned
    1,431
    1,056
    May 28, 2015
    United Kingdom
    Wales
    I'm guessing there's something like Priiloader that's blocking your sysupdate; try installing 4.3's sysmenu (for your region!) again and try a regular update.
     
  19. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    I just checked, no Priiloader since i already removed it. and i got this error when im trying to reinstall 4.3 from MMM
    http://imgur.com/a/BbQDD
    [​IMG]
    [​IMG]
    pls help
     
  20. DeOpty
    OP

    DeOpty Member

    Newcomer
    27
    8
    Oct 17, 2015
    Indonesia
    bump